> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blink.store/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk import license keys

> Programmatically migrate external license keys into Blink.



## OpenAPI

````yaml post /license-keys/import
openapi: 3.0.0
info:
  title: Blink API
  description: Comprehensive API documentation for Blink.
  version: 1.0.0
servers:
  - url: https://api.blink.store/v1
security: []
paths:
  /license-keys/import:
    post:
      tags:
        - License Keys
      summary: Bulk import license keys
      description: Programmatically migrate external license keys into Blink.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - keys
              properties:
                keys:
                  type: array
                  items:
                    type: object
                    required:
                      - key
                      - product_id
                    properties:
                      key:
                        type: string
                      product_id:
                        type: string
                      activation_limit:
                        type: integer
                      activations:
                        type: integer
                      expires_at:
                        type: string
                        format: date-time
      responses:
        '200':
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error

````